Subject: Re: linux-next: Tree for Feb 4

From: Steven Rostedt <[email-masked]>
Date: Thu, 5 Feb 2015 15:22:01 -0500

On Thu, 5 Feb 2015 21:07:27 +0100
Sedat Dilek <[email-masked]> wrote:

> > Is this Paul's version of the patch or mine? If it is just mine, do you
> > know if Paul's version triggers this too?
> >
> 
> This one which entered Pauls rcu-next tree.
> 
> [1] http://git.kernel.org/cgit/linux/kernel/git/paulmck/linux-rcu.git/commit/?h=rcu/next&id=2b27cf7317d8a99a50bead9faccd54b46b6f0c41

That's mine.

It looks like the condition will be tested before it calls and rcu
code. Which is why I was confused that it still gave a splat. Paul
posted a patch before this that did the check outside the trace point.

This one:

 http://marc.info/?l=linux-kernel&m=142310961217650&w=2

> 
> >> ( I did not build from scratch but re-invoking make "updated" the
> >> files touched by Steven's patch, see attached build-log. )
> >>
> >> Unfortunately, the call-trace remains when doing an offlining of cpu1.
> >> ( It's good to see it's reproducible. )
> >
> > Was the tracepoint enabled? Or was there some other rcu call that
> > triggered this. Or would cpu_online(smp_processor_id()) return true at
> > this point?
> >
> 
> Thanks Steve for jumping into this one!
> 
> Good point.
> I looked at my kernel-config (which I already sent :-)).
> 
> Do I need to enable...?
> 
> # CONFIG_RCU_TRACE is not set
> 
> ...or even more?
>

What I meant by the tracepoint being enabled, was not that it was
configured in (I'm assuming it was), but that you started tracing?

 echo 1 > /sys/kernel/debug/tracing/events/enable

or

 echo 1 > /sys/kernel/debug/tracing/events/tlb/tlb_flushed/enable

-- Steve